<?php

/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

?>
<?php
/**
 * Currency switcher
 *
 * @see \Magento\Directory\Block\Currency
 */
?>
<?php if ($block->getCurrencyCount() > 1) : ?>
    <?php $currencies = $block->getCurrencies(); ?>
    <?php $currentCurrencyCode = $block->getCurrentCurrencyCode(); ?>
    <?php $id = $block->getIdModifier() ? '-' . $block->getIdModifier() : '' ?>
    <?php
    $_objectManager = \Magento\Framework\App\ObjectManager::getInstance();
    $currency = $_objectManager->create('Magento\Directory\Model\CurrencyFactory')->create();
    ?>
    <div class="currency container-divider-line">
        <span class="text"><?php echo __('Currency: ') ?></span>
        <div class="currency_top">
            <div class="switcher currency switcher-currency" id="switcher-currency<?php /* @escapeNotVerified */ echo $id ?>">
                <strong class="label switcher-label"><span><?php /* @escapeNotVerified */ echo __('Currency') ?></span></strong>
                <div class="actions dropdown options switcher-options">
                    <div class="action toggle switcher-trigger" id="switcher-currency-trigger<?php /* @escapeNotVerified */ echo $id ?>">
                        <strong class="language-<?php echo $block->escapeHtml($block->getCurrentCurrencyCode()) ?>">
                            <span><?php echo $block->escapeHtml($currentCurrencyCode) ?></span>

                            <?php /* <span class="currentcode"><?php echo $currency->load($currentCurrencyCode)->getCurrencySymbol(); ?></span> */ ?>
                        </strong>
                    </div>
                    <ul class="dropdown switcher-dropdown" data-mage-init='{"dropdownDialog":{
            "appendTo":"#switcher-currency<?php /* @escapeNotVerified */ echo $id ?> > .options",
            "triggerTarget":"#switcher-currency-trigger<?php /* @escapeNotVerified */ echo $id ?>",
            "closeOnMouseLeave": false,
            "triggerClass":"active",
            "parentClass":"active",
            "buttons":null}}'>
                        <?php foreach ($currencies as $_code => $_name) : ?>
                            <?php if ($_code != $currentCurrencyCode) : ?>
                                <li class="currency-<?php /* @escapeNotVerified */ echo $_code ?> switcher-option">
                                    <a href="#" data-post='<?php /* @escapeNotVerified */ echo $block->getSwitchCurrencyPostData($_code); ?>'><?php /* @escapeNotVerified */ echo $_code ?> - <?php /* @escapeNotVerified */ echo $_name ?></a>
                                </li>
                            <?php endif; ?>
                        <?php endforeach; ?>
                    </ul>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>